<template>
  <!-- 取消报工 -->
  <view class="page">
    <view class="packing-registration-bg" />
    <u-navbar title="核磅录入" :background="background" :border-bottom="false" :title-bold="true" title-color="#000"
      back-icon-color="#000" />
    <u-form :model="form" ref="uForm" :label-width="280" :rules="rules" :error-type="['toast']" class="uForm">
      <u-form-item label="订单号" :border-bottom="false" prop="value3">
        <u-input v-model="form.value3" type="select" placeholder="点击选择" @click="openList" />
      </u-form-item>
      <u-form-item label="取消报工记录：" :border-bottom="false" prop="value12"></u-form-item>
    </u-form>
  </view>
</template>

<script>
import content_bg from '@/static/custom/packing/backBg.png'
export default {
  data() {
    return {
      background: {
        backgroundImage: `url(${content_bg})`,
        backgroundAttachment: 'fixed',
        backgroundSize: '100% auto',
        backgroundRepeat: 'no-repeat',
      },
      form: {
        value3: ''
      },
      rules: {}
    };
  },
  methods: {
    openList() {
      uni.navigateTo({
        url: '/pages/product/report/orderList'
      })
    },
    setNo(val) {
      this.form.value3 = val
    }

  }
}
</script>

<style lang="scss" scoped>
.page {
  box-sizing: border-box;
}

.packing-registration-bg {
  background-color: #f6f9ff;
  background-image: url("~@/static/custom/packing/backBg.png");
  padding: 0 20rpx;
  background-attachment: fixed;
  background-size: 100% auto;
  background-repeat: no-repeat;
  position: fixed;
  top: 0;
  bottom: 0;
  width: 100%;
  z-index: -1;
}

.uForm {
  background: #fff;
  margin: 40rpx 30rpx;
  padding: 20rpx 30rpx;
  border-radius: 16rpx;
}

::v-deep .u-input__input {
  text-align: right !important;
}

.u-form-item {
  padding: 0;
}
</style>